Bug 836594

Summary: [abrt] sdr::table::SvxTableController::SetTableStyle
Product: [Fedora] Fedora Reporter: Milan Bouchet-Valat <nalimilan>
Component: libreofficeAssignee: David Tardon <dtardon>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: caolanm, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:a3a4fa308debd5a59e2f3cd18b530a0a3860809e
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 07:44:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace
none
File: maps
none
File: dso_list
none
File: build_ids none

Description Milan Bouchet-Valat 2012-06-29 11:27:47 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///home/milan/EHESS/Homogamie/Emploi/CA%20vs%20RC/S%C3%A9minaire%20interne%205%20juillet.odp --splash-pipe=6
comment:        I was editing a table in an Impress document. Probably crashed when I selected several cells in the table.
crash_function: sdr::table::SvxTableController::SetTableStyle
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.3.7-1.fc17.x86_64
pid:            12925
pwd:            /home/milan
time:           ven. 29 juin 2012 16:56:18 CEST
uid:            1000
username:       milan

backtrace:      Text file, 89288 bytes
build_ids:      Text file, 10168 bytes
dso_list:       Text file, 33473 bytes
maps:           Text file, 129798 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/milan/2

core_backtrace:
:8e8156f7ea3ac5f9b5e5d0cc24d53f8071392398 0x5213b3 - libsvxcorelo.so -
:90e6146b308fa191f3251f9bb6327dcd705ab7f8 0x3abd5e - libsdlo.so -
:90e6146b308fa191f3251f9bb6327dcd705ab7f8 0x3ac301 - libsdlo.so -
:812a976cf93231630c03844472dafe969d2c4a29 0x200c3b ValueSet::Tracking(TrackingEvent libsvtlo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x3313e8 Window::EndTracking(unsigned libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x350e46 - libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x3529fa - libvcllo.so -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x4c7dc - libvclplug_gtklo.so -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b8e4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x30dd1 - libvclplug_gtklo.so -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x31acd - libvclplug_gtklo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0xfbbe4 Application::Yield(bool) libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0xfbc87 Application::Execute() libvcllo.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x1dd59 - libsofficeapp.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x102621 - libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x1026c5 SVMain() libvcllo.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x41d36 soffice_main libsofficeapp.so -
:18ffb5d5f97d5a9e8dc0acd3f6ae0aa87917dc08 0x6bb - [exe] -

environ:
:XDG_VTNR=1
:INSIDE_NAUTILUS_PYTHON=
:XDG_SESSION_ID=2
:HOSTNAME=milan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=12911
:GPG_AGENT_INFO=/run/user/milan/keyring-nDhOov/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-4315-milan-libreoffice-34_TIME156089412
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9e1782da896cc13ddd95ca060000000c-1055858096.46342-1087244798
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/milan/keyring-nDhOov
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=milan
:SSH_AUTH_SOCK=/run/user/milan/keyring-nDhOov/ssh
:USERNAME=milan
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1189,unix/unix:/tmp/.ICE-unix/1189
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-impress.desktop
:MAIL=/var/spool/mail/milan
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/milan
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1185
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr/local:/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/milan
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=milan
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-CigQnXO4xF,guid=97e0a15c88ac170836e63cb200000026
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/milan
:DISPLAY=:0.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-milan-mxmqfM/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29887                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29887                29887                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/milan/.xsession-errors
:pos:	3642268
:flags:	0102002
:2:/home/milan/.xsession-errors
:pos:	3642268
:flags:	0102002
:3:socket:[1741165]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[1741974]
:pos:	0
:flags:	00
:6:pipe:[1741974]
:pos:	0
:flags:	01
:7:socket:[1742869]
:pos:	0
:flags:	02000002
:8:socket:[1743888]
:pos:	0
:flags:	02000002
:9:socket:[1742870]
:pos:	0
:flags:	02004002
:10:/usr/lib64/libreoffice/program/resource/fwefr.res
:pos:	2400
:flags:	0100000
:11:/usr/lib64/libreoffice/program/resource/sbfr.res
:pos:	7650
:flags:	0100000
:12:/usr/lib64/libreoffice/program/resource/ofafr.res
:pos:	9456
:flags:	0100000
:13:/usr/lib64/libreoffice/program/resource/svtfr.res
:pos:	22462
:flags:	0100000
:14:/home/milan/.execooobEcTlK (deleted)
:pos:	0
:flags:	0100002
:15:/usr/lib64/libreoffice/program/resource/sfxfr.res
:pos:	36358
:flags:	0100000
:16:/usr/lib64/libreoffice/program/resource/vclfr.res
:pos:	7376
:flags:	0100000
:17:/usr/lib64/libreoffice/share/config/images_tango.zip
:pos:	0
:flags:	0100000
:18:socket:[1741167]
:pos:	0
:flags:	02000002
:19:pipe:[1742871]
:pos:	0
:flags:	02004000
:20:pipe:[1742871]
:pos:	0
:flags:	02004001
:21:/home/milan/EHESS/Homogamie/Emploi/CA vs RC/Séminaire interne 5 juillet.odp
:pos:	0
:flags:	0100002
:22:socket:[1742872]
:pos:	0
:flags:	02004002
:23:/usr/lib64/libreoffice/program/resource/sdfr.res
:pos:	160632
:flags:	0100000
:24:/usr/lib64/libreoffice/program/resource/svxfr.res
:pos:	64138
:flags:	0100000
:25:/usr/lib64/libreoffice/program/resource/editengfr.res
:pos:	10004
:flags:	0100000
:26:/tmp/lu18faez.tmp/lu18fapg.tmp
:pos:	0
:flags:	0100002
:27:/dev/urandom
:pos:	0
:flags:	02100000
:28:socket:[1743895]
:pos:	0
:flags:	02000002
:29:socket:[1742886]
:pos:	0
:flags:	02004002
:30:anon_inode:inotify
:pos:	0
:flags:	02004000
:31:/home/milan/.config/libreoffice/3/user/uno_packages/cache/log.txt
:pos:	0
:flags:	0100002
:32:/home/milan/.execooodXQfvY (deleted)
:pos:	0
:flags:	0100002
:33:/usr/lib64/libreoffice/program/resource/deploymentfr.res
:pos:	2506
:flags:	0100000
:34:/home/milan/.config/libreoffice/3/user/uno_packages/cache/uno_packages.db
:pos:	0
:flags:	02100002
:35:/home/milan/.config/libreoffice/3/user/extensions/shared/extensions.db
:pos:	0
:flags:	02100002
:36:/home/milan/.config/libreoffice/3/user/extensions/bundled/extensions.db
:pos:	0
:flags:	02100002
:37:/home/milan/.execoooiC1HEc (deleted)
:pos:	0
:flags:	0100002
:38:/home/milan/.execoooJLNBRq (deleted)
:pos:	0
:flags:	0100002
:39:/home/milan/.execooobilt5E (deleted)
:pos:	0
:flags:	0100002
:40:/home/milan/.execooo6xSojT (deleted)
:pos:	0
:flags:	0100002
:41:/home/milan/.execoooAbznx7 (deleted)
:pos:	0
:flags:	0100002
:42:/home/milan/.execoooKgufMl (deleted)
:pos:	0
:flags:	0100002
:43:/usr/lib64/libreoffice/program/resource/cuifr.res
:pos:	74224
:flags:	0100000
:44:/usr/lib64/libreoffice/program/resource/smfr.res
:pos:	11278
:flags:	0100000
:45:socket:[1824896]
:pos:	0
:flags:	02004002
:46:/home/milan/EHESS/Homogamie/Emploi/CA vs RC/Modèles d'association vs. AC.odt
:pos:	0
:flags:	0100002
:47:/usr/lib64/libreoffice/program/resource/swfr.res
:pos:	166650
:flags:	0100000
:48:/tmp/lu18faez.tmp/lu18falk.tmp
:pos:	0
:flags:	0100002

var_log_messages:
:Jun 29 16:56:18 milan kernel: [165062.539112] soffice.bin[12925]: segfault at 0 ip 00007f45b9dc53b3 sp 00007fffc1f6dc20 error 4 in libsvxcorelo.so[7f45b98a4000+717000]
:Jun 29 16:56:29 milan abrt[14490]: Saved core dump of pid 12925 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-06-29-16:56:18-12925 (750018560 bytes)
Comment 1 Milan Bouchet-Valat 2012-06-29 11:27:54 EDT
Created attachment 595328 [details]
File: backtrace
Comment 2 Milan Bouchet-Valat 2012-06-29 11:27:56 EDT
Created attachment 595329 [details]
File: maps
Comment 3 Milan Bouchet-Valat 2012-06-29 11:27:59 EDT
Created attachment 595330 [details]
File: dso_list
Comment 4 Milan Bouchet-Valat 2012-06-29 11:28:01 EDT
Created attachment 595331 [details]
File: build_ids
Comment 5 David Tardon 2012-07-31 07:30:39 EDT
Sorry, this bug fell through the cracks... Is the crash reproducible? If yes, could you attach the presentation here?
Comment 6 Milan Bouchet-Valat 2012-07-31 08:44:25 EDT
Sorry, I'm not able to reproduce it, at least now. I can't tell whether it happened to me several times or not, though.

Is the trace of any help in itself?
Comment 7 David Tardon 2012-08-07 04:59:42 EDT
I see "Conditional jump or move depends on uninitialised value(s)" in valgrind when inserting a table. Most probably the root cause of this.
Comment 8 David Tardon 2012-08-07 07:44:52 EDT
Hm, I am not quite sure about that now, so let's close this bug as INSUFFICIENT_DATA.